#!/bin/bash

for file in *season-0*.mkv; do
  vspipe --arg path=`pwd`/$file --progress -c y4m Untitled.vpy - \
  | aomenc -p 1 --lag-in-frames=48 --enable-fwd-kf=1 --max-reference-frames=7 \
  	--kf-max-dist=240 --kf-min-dist=10 --auto-alt-ref=1 --arnr-strength=0 --aq-mode=1 \
    --denoise-noise-level=0 --enable-dnl-denoising=0 --min-q=1 --tune=psnr --sharpness=1 \
    --enable-qm=1 --enable-cdef=1 --enable-restoration=1 --frame-parallel=1 --tile-columns=0 \
    --tile-rows=0 --sb-size=64 --end-usage=q --cpu-used=3 --threads=8 --row-mt=1 --fp-mt=1 \
    --cq-level=17 --bit-depth=10 --i444 --ivf -o $file.ivf - ;
done