EPISODE=$1
ENG_OPUS=$(ls "$HOME/encoding/[sam] Fruits Basket (2019) 1st Season - ${EPISODE} [BD 1080p FLAC] "*".mkv.eng.flac.eng.opus")
SUB_SIGNS=$(ls "$HOME/encoding/[sam] Fruits Basket (2019) 1st Season [BD 1080p FLAC]/[sam] Fruits Basket (2019) 1st Season - ${EPISODE} [BD 1080p FLAC] "*".mkv")
JAP_OPUS="$HOME/encoding/Fruits_Basket_1st_season_1/フルーツバスケット_1st_season-0${EPISODE}.mkv.opus"
SRC="$HOME/encoding/Fruits_Basket_1st_season_1/フルーツバスケット_1st_season-0${EPISODE}.mkv"
ENCODE="$HOME/encoding/Fruits_Basket_1st_season_1/フルーツバスケット_1st_season-0${EPISODE}.mkv.ivf"

TITLE="Fruits.Basket.S01E${EPISODE}.720p.Blu-Ray.10bit.Dual-Audio.Opus.AV1-pwgen"

/usr/bin/mkvmerge \
	--ui-language en_US \
	--output "$HOME/encoding/${TITLE}.mkv" \
	--language 0:und '(' "${ENCODE}" ')' \
	--no-audio \
	--no-video \
	--no-subtitles '(' "${SRC}" ')' \
	--no-audio \
	--no-video \
	--no-chapters \
	--sub-charset 3:UTF-8 \
	--language 3:en \
	--track-name '3:Full Subtitles [GSK_kun]' \
	--sub-charset 4:UTF-8 \
	--language 4:en \
    --track-name '4:Signs/Songs [GSK_kun]' '(' "${SUB_SIGNS}" ')' \
	--no-chapters \
	--language 0:en \
	--track-name '0:English 5.1' \
	--default-track-flag 0:no '(' "${ENG_OPUS}" ')' \
	--language 0:ja \
	--track-name '0:Japenese 2.0' '(' "${JAP_OPUS}" ')' \
	--title Fruits.Basket.S01E${EPISODE}.720p.Blu-Ray.10bit-444.Dual-Audio.Opus.AV1-pwgen \
	--track-order 0:0,4:0,3:0,2:3,2:4
