#!/bin/bash 
[[ ! -d ./Encoded ]] && mkdir -p ./Encoded

x=90
while [[ $x -lt 128 ]]; do 
    if ! [[ -f ./Encoded/SMSE$x.mkv ]]; then
        testencodes.sh --testscript ./SMS$x.vpy --qcomp 0.72 --aq-mode 2 --aq-strength 0.6 --psy-rd 1.05:0_0.10 --crf 23 -o ./Encoded/SMSE$x.mkv ; 
    else
        echo "Skipping SMSE$x.mkv as it exists"
    fi
    x=$((x + 1)); 
done
