#!/bin/bash 
x=90
while [[ $x -lt 128 ]]; do 
    if ! [[ -f "./Merged/Sailor Moon S - $x (BluRay 1080p Dual AAC).mkv" ]]; then
        /usr/bin/mkvmerge --ui-language en_US --output "./Merged/Sailor Moon S - $x (BluRay 1080p Dual AAC).mkv" \
			--no-audio --no-video --subtitle-tracks 5 --language 5:en '(' "./Sailor Moon Source/Sailor Moon S Episodes $x.mkv" ')' --language 0:en --display-dimensions 0:1440x1080 '(' "./Encoded/SMSE$x.mkv" ')' --language 0:en --track-name '0:English 2.0 640k AAC' '(' "./Encoded/SMSE$x-eng.aac" ')' --language 0:ja --track-name '0:Japanese 2.0 640k AAC' '(' "./Encoded/SMSE$x-jpn.aac" ')' --title "Sailor Moon S $x" --track-order 1:0,2:0,3:0,0:5
        echo "- Episode $x Done"
    else
        echo "+ Skipping SMSE$x.mkv as it exists"
    fi
    x=$((x + 1)); 
	sleep 10
done
